List Signal Agents
curl --request GET \
--url https://api.lemlist.com/api/watchlist \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/watchlist"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/watchlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/watchlist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/watchlist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"_id": "<string>",
"name": "<string>",
"type": "companyIsHiring",
"status": "active",
"entity": "contact",
"segmentType": "all",
"signalProcessingType": "manual",
"signalOpportunityTemplate": {
"ownerType": "contact_owner",
"ownerId": "<string>",
"type": "email",
"priority": 0,
"data": {
"title": "<string>",
"subject": "<string>",
"emailTemplateId": "<string>",
"message": "<string>"
}
},
"filters": [
{
"filterId": "title",
"in": [
"<string>"
],
"out": [
"<string>"
]
}
],
"emoji": "<string>"
}
],
"meta": {
"pagination": {
"page": 123,
"limit": 123,
"totalRecords": 123,
"totalPages": 123
}
}
}Invalid type valuesUnauthorizedInternal server errorSignal Agents
List Signal Agents
Retrieves your Signal Agents (watch lists) with pagination and optional filtering by signal type and status.
GET
/
watchlist
List Signal Agents
errorResults are paginated. Use
type and status to narrow the list — both accept a comma-separated list of values. By default every status except delete is returned.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Page number to retrieve
Required range:
x >= 1Number of records to retrieve. Maximum value: 100
Required range:
1 <= x <= 100Filter by signal type(s). Comma-separated list of signal types.
Filter by lifecycle status(es). Comma-separated list. Defaults to every status except delete.
Was this page helpful?